# Uses of Class co.aikar.commands.HelpEntry (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: HelpEntry

# Uses of Class
co.aikar.commands.HelpEntry

Packages that use HelpEntry
Package
Description
co.aikar.commands

## Uses of HelpEntry in co.aikar.commands

Methods in co.aikar.commands that return types with arguments of type HelpEntry
Modifier and Type
Method
Description
`List<HelpEntry>`
CommandHelp.`getHelpEntries()`
`Set<HelpEntry>`
CommandHelp.`getSelectedEntry()`
Methods in co.aikar.commands with parameters of type HelpEntry
Modifier and Type
Method
Description
`String[]`
CommandHelpFormatter.`getEntryFormatReplacements(CommandHelp help, HelpEntry entry)`
Override this to control replacements
`@NotNull String[]`
CommandHelpFormatter.`getParameterFormatReplacements(CommandHelp help, CommandParameter param, HelpEntry entry)`
Override this to control replacements
`void`
CommandHelpFormatter.`printDetailedHelpCommand(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void`
CommandHelpFormatter.`printDetailedHelpFooter(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void`
CommandHelpFormatter.`printDetailedHelpHeader(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void`
CommandHelpFormatter.`printDetailedParameter(CommandHelp help, CommandIssuer issuer, HelpEntry entry, CommandParameter param)`
`void`
CommandHelpFormatter.`printHelpCommand(CommandHelp help, CommandIssuer issuer, HelpEntry entry)`
`void`
CommandHelpFormatter.`printSearchEntry(CommandHelp help, CommandIssuer issuer, HelpEntry page)`
`void`
CommandHelpFormatter.`showDetailedHelp(CommandHelp commandHelp, HelpEntry entry)`
`protected void`
CommandHelp.`updateSearchScore(HelpEntry help)`
Method parameters in co.aikar.commands with type arguments of type HelpEntry
Modifier and Type
Method
Description
`void`
CommandHelpFormatter.`showAllResults(CommandHelp commandHelp, List<HelpEntry> entries)`
`void`
CommandHelpFormatter.`showSearchResults(CommandHelp commandHelp, List<HelpEntry> entries)`